maven Unable to locate the Javac Compiler 解决办法

在使用eclipse 运行 maven install的时候,出现这个错误:

[ERROR] Unable to locate the Javac Compiler in:
  D:\Program Files\Java\jre6\..\lib\tools.jar
Please ensure you are using JDK 1.4 or above and
not a JRE (the com.sun.tools.javac.Main class is required).
In most cases you can change the location of your Java
installation by setting the JAVA_HOME environment variable.



解决方法1、

window-->preferences-->java-->Installed JREs,编辑此项,导入tools.jar即可,



解决方法:

2、在eclipse.ini文件中设置

-vm
C:\Program Files\Java\jdk1.6.0_21\jre\bin\javaw.exe


注意

要在eclipse.ini文件中-startup之前设置这一行

2、

window-->preferences-->java-->Installed JREs:将路径设置成jre的路径


重启eclipse

阅读更多
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页